Comments
curl --request GET \
--url https://api.sociavault.com/v1/scrape/youtube/video/comments \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/youtube/video/comments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/youtube/video/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"comments": {
"0": {
"id": "Ugz02PQAsHBQfJ_PIxR4AaABAg",
"content": "Beste!",
"publishedTimeText": "3 months ago",
"publishedTime": "2025-11-08T23:18:52.207Z",
"replyLevel": 0,
"author": {
"name": "@non-speakingandfabulouswit6095",
"channelId": "UCvFT6_Z1fpHOmj6T-vxHTdg",
"isVerified": false,
"isCreator": false,
"avatarUrl": "https://yt3.ggpht.com/krdXzb3IB_M33rRAZ0PqcjLV0pXVQdxUQtjbUHQsRvrQPIImi3IP0zcQeFFrHOJrlaR75y-kOA=s88-c-k-c0x00ffffff-no-rj",
"channelUrl": "https://youtube.com/@non-speakingandfabulouswit6095"
},
"engagement": {
"likes": 3,
"replies": 0
}
}
},
"continuationToken": "Eg0SCzRPbUlfY0xZVEpRGAYy2QIKrwJnZXRfcmFua2VkX3N0cmVhbXMtLUNxVUJDSUFFRlJlMzBUZ2FtZ0VLbFFFSTJGOFFnQVFZQnlLS0FYdVk0SUtpdVJxMHlobENQaEpmdGg2VHdWcFFuMG1qTl9GS1RGSk4xdEJXX3ltZ3BRcUpOWHR0ZUNTejBETkpORHpLdFNqX1UxMUxXTWViYTZlVXlWdk5FbGNRckFZeFZnbF9XbDdfUlZsa1dHZHFHQ0laWGhsaW1FSDRnVERxVVJvVWVndk5WTEF5VHBsZklGSl9RT0lLUjFaaDBmYjZEcE5uWGdnVmxSNWRLZEdUaXkyMlFYclJmQkFVRWdVSWlTQVlBQklGQ0tnZ0dBQVNCUWlJSUJnQUVnVUloeUFZQUJJSENJVWdFQlFZQVJJRkNMc2dHQUEiESILNE9tSV9jTFlUSlEwAHgBKBRCEGNvbW1lbnRzLXNlY3Rpb24%3D"
},
"credits_used": 1,
"endpoint": "youtube/video/comments"
}{
"error": "Missing required parameter: handle",
"endpoint": "<string>",
"credits_required": 123
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "Service configuration error"
}YouTube
Comments
Get top-level comments from a YouTube video, paginated at ~20 per page. Use the continuationToken from each response to load more. Maximum retrievable: ~1,000 comments with order=top or ~7,000 with order=newest. Note: YouTube’s displayed comment count includes reply threads, so the total returned may be lower.
GET
/
v1
/
scrape
/
youtube
/
video
/
comments
Comments
💳 1 credit per request — returns ~20 comments per page. Use
continuationToken to paginate.Authorizations
Query Parameters
YouTube video URL
Example:
"https://www.youtube.com/watch?v=dQw4w9WgXcQ"
Continuation token to get more comments. Get 'continuationToken' from previous response.
Example:
"4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnB"
Order of comments
Available options:
top, newest Example:
"top"
Response
Successful response
Key Response Fields:
data.comments[0].id: Unique comment IDdata.comments[0].content: Comment text contentdata.comments[0].publishedTime: ISO timestamp of when the comment was posteddata.comments[0].author.name: Commenter's channel namedata.comments[0].author.channelId: Commenter's YouTube channel IDdata.comments[0].author.avatarUrl: Commenter's avatar image URLdata.comments[0].author.isVerified: Whether the commenter is a verified accountdata.comments[0].engagement.likes: Number of likes on the commentdata.comments[0].engagement.replies: Number of replies to the commentdata.continuationToken: Pagination cursor — pass ascontinuationTokento get the next page